Package com.usatiuk.dhfs.jmap

# Class JMapIterator<K extends JMapKey>

java.lang.Object
com.usatiuk.dhfs.jmap.JMapIterator<K>

All Implemented Interfaces:
  `CloseableKvIterator<K,JMapEntry<K>>`, `AutoCloseable`, `Iterator<org.apache.commons.lang3.tuple.Pair<K,JMapEntry<K>>>`

public class JMapIterator<K extends JMapKey> extends Object implements CloseableKvIterator<K,JMapEntry<K>>

## Constructor Summary

Constructors
Constructor
Description
`JMapIterator(CloseableKvIterator<JObjectKey,JData> backing, JMapHolder<K> holder)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`hasNext()`
`boolean`
`hasPrev()`
`K`
`keyToKey(JObjectKey key)`
`org.apache.commons.lang3.tuple.Pair<K,JMapEntry<K>>`
`next()`
`K`
`peekNextKey()`
`K`
`peekPrevKey()`
`org.apache.commons.lang3.tuple.Pair<K,JMapEntry<K>>`
`prev()`
`void`
`skip()`
`void`
`skipPrev()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.iterators.CloseableKvIterator

`reversed`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### JMapIterator

public JMapIterator(CloseableKvIterator<JObjectKey,JData> backing, JMapHolder<K> holder)

## Method Details

### keyToKey

public K keyToKey(JObjectKey key)

### peekNextKey

public K peekNextKey()

Specified by:
  `peekNextKey` in interface `CloseableKvIterator<K extends JMapKey,JMapEntry<K extends JMapKey>>`

### skip

public void skip()

Specified by:
  `skip` in interface `CloseableKvIterator<K extends JMapKey,JMapEntry<K extends JMapKey>>`

### peekPrevKey

public K peekPrevKey()

Specified by:
  `peekPrevKey` in interface `CloseableKvIterator<K extends JMapKey,JMapEntry<K extends JMapKey>>`

### prev

public org.apache.commons.lang3.tuple.Pair<K,JMapEntry<K>> prev()

Specified by:
  `prev` in interface `CloseableKvIterator<K extends JMapKey,JMapEntry<K extends JMapKey>>`

### hasPrev

public boolean hasPrev()

Specified by:
  `hasPrev` in interface `CloseableKvIterator<K extends JMapKey,JMapEntry<K extends JMapKey>>`

### skipPrev

public void skipPrev()

Specified by:
  `skipPrev` in interface `CloseableKvIterator<K extends JMapKey,JMapEntry<K extends JMapKey>>`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `CloseableKvIterator<K extends JMapKey,JMapEntry<K extends JMapKey>>`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<K extends JMapKey>`

### next

public org.apache.commons.lang3.tuple.Pair<K,JMapEntry<K>> next()

Specified by:
  `next` in interface `Iterator<K extends JMapKey>`